/** abstract base class
 */
class Shape {
    constructor (tn) {
        if (this.constructor === Shape) {
            throw new Error('Cannot instantaciate abstract class Shape');
        }
        Shape._tn = tn;
    }

    // Getter
    get area() {
       return this.calcArea();
    }

	/**Overriden method
	 */
    calcArea () {
        throw new Error('Cannot call abstract method')
    };

    static tname() { return Shape._tn; }
}

/**Concreate class */
class Rectangle extends Shape {
  constructor(height, width) {
    super('Rectangle');
    this.height = height;
    this.width = width;
  };

  /**Overriding Method
   */
  calcArea() {
    return this.height * this.width;
  }
}

const square = new Rectangle(12, 12);

console.log(square.area); // 144

/**Singleton
 */
var Geometry = new class {
    constructor(n) {
		this.name = n
	}

	log() {
		console.log(this.name);
	}
} ('App');

/**&lt;script&gt; tag usage: Shapes.Shape, Shapes.Rectangle.
 * where Shapes is the library in webpack.config.js. */
export {Shape, Rectangle, Geometry};
