# How to contribute

:+1::tada: Thanks for taking the time to contribute! :tada::+1:

## Development guidelines

* Checkout the repo, install dependencies and serve the example code with `npm run serve`

* You can work on the components code under `src/components`.

* You can work on the example code that uses the components is in `App.vue`. This code is what is served on the Demo page

* Make sure to have ESLint enabled and fix all lint errors before pushing the code.

#### **Did you find a bug or have a suggestion for a feature?**

* **Ensure the bug/feature was not already reported** by searching on GitHub under [Issues](https://github.com/myENA/vue-table/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/myENA/vue-table/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, optionally a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### **Did you write a patch that fixes a bug or adds a feature?**

* Ensure the existing unit tests pass, with `npm run test:unit`. Write new or adapt the existing ones to cover the change.

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* Make sure to adapt the existing examples, as applicable.

