/** Vue adapter for bridging vue components and jclient*/
import Vue from 'vue';
import Protocol from '../protocol.js';
import SemanticVue from '../components/vue/Semantable.vue';

import SidebarMenu from '../components/vue/menu/SidebarMenu.vue'

// Table ///////////////////////////////////////////////////////////////////////
// Semantable;

/**Initialize a semantable control for the test and tutorial.<br>
 * To call a component's function:<br>
 * vueInstance.methodName()<br>
 * See test/semantable.html.<br>
 * The following exporting makes the vue instance a child of an anonymous root,
 * which makes calling the functions very difficult.<br>
 * See https://forum.vuejs.org/t/calling-vuejs-component-methods-from-a-non-component-js-service/40095/2
 *<pre>
export function init() {
	Vue.component({ SemanticVue });

	return new Vue({
		render: h => h(SemanticVue)
	});</pre>
 * @param {string} id selector of html target, e.g. '#div-semantable'
 */
export function init(id) {
	if (id === undefined)
		id = '#semantable';
	return new Vue(Object.assign({}, SemanticVue, { el: id }));
}

// Menu ////////////////////////////////////////////////////////////////////////
/**
 * sibe-bar-menu home: https://vuejsexamples.com/a-vue-js-sidebar-menu-component/
 * github: https://github.com/yaminncco/vue-sidebar-menu#readme
 * demo: https://yaminncco.github.io/vue-sidebar-menu/#/auth/registration
 *
 * vue.js router:
 * https://router.vuejs.org/guide/
 * https://vuejs.org/v2/guide/routing.html
 *
 * simple router example:
 * https://vuejsexamples.com/simple-vue-router/
 * https://codepen.io/joshbivens/pen/qZVxow?editors=1010
 */
export function menu() {
  install (Vue) {
    Vue.component('sidebar-menu', SidebarMenu)
  }
}

export { SidebarMenu }
