/** Vue adapter for bridging vue components and jclient*/
import Vue from 'vue';
import Protocol from '../protocol.js';
import SemanticVue from '../components/vue/Semantable.vue';

// Table ///////////////////////////////////////////////////////////////////////
// Semantable;

/**Initialize a semantable control for the test and tutorial.<br>
 * To call a component's function:<br>
 * vueInstance.methodName()<br>
 * See test/semantable.html.<br>
 * The following exporting makes the vue instance a child of an anonymous root,
 * which makes calling the functions very difficult.<br>
 * See https://forum.vuejs.org/t/calling-vuejs-component-methods-from-a-non-component-js-service/40095/2
 *<pre>
export function init() {
	Vue.component({ SemanticVue });

	return new Vue({
		render: h => h(SemanticVue)
	});</pre>
 * @param {string} id selector of html target, e.g. '#div-semantable'
 */
export function init(id) {
	if (id === undefined)
		id = '#semantable';
	return new Vue(Object.assign({}, SemanticVue, { el: id }));
}
//

// Menu ////////////////////////////////////////////////////////////////////////
/**
 */
export function menu() {
}
